from .db import db

class Paper(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    title = db.Column(db.Text)
    doi = db.Column(db.String, unique=True, index=True)
    alt_id = db.Column(db.String)
    issn = db.Column(db.String(32))
    type = db.Column(db.String(50))
    language = db.Column(db.String(50))
    published_date = db.Column(db.Date)  # or DateTime/String
    status = db.Column(db.String(10))    # 'Pending','Done','Failed'
    file_path = db.Column(db.Text)
    error_msg = db.Column(db.Text)
    # plus maybe timestamps for created/updated
    
class ScheduleConfig(db.Model):
    hour = db.Column(db.Integer, primary_key=True)  # 0-23
    volume = db.Column(db.Float)  # weight or count